`timescale 1ns / 1ps
module rategen(
    input  clk,rst,
    output cy
    );
    //Generate 1 clock wide pulse on output CY
reg [25:0] Q;

always @(posedge clk)
begin 
   if (rst | cy)
      Q <= 0;
   else
      Q <= Q + 1;
end 

assign cy = (Q == 49999999);
//assign cy = (Q == 9);

endmodule 

